Loading...
Searching...
No Matches
driver_opencl.h File Reference
`#include <CL/cl.h>`
`#include <core/workers.h>`
`#include <datawizard/node_ops.h>`

Go to the source code of this file.

## Macros

#define | _GNU_SOURCE
#define | CL_TARGET_OPENCL_VERSION

## Functions

void | _starpu_opencl_preinit (void)
void | _starpu_opencl_discover_devices (struct _starpu_machine_config *config)
void | _starpu_opencl_init (void)
unsigned | _starpu_opencl_get_device_count (void)
hwloc_obj_t | _starpu_opencl_get_hwloc_obj (hwloc_topology_t topology, int devid)
void | _starpu_init_opencl_config (struct _starpu_machine_topology *topology, struct _starpu_machine_config *)
void | _starpu_opencl_init_worker_binding (struct _starpu_machine_config *config, int no_mp_config STARPU_ATTRIBUTE_UNUSED, struct _starpu_worker *workerarg)
void | _starpu_opencl_init_worker_memory (struct _starpu_machine_config *config, int no_mp_config STARPU_ATTRIBUTE_UNUSED, struct _starpu_worker *workerarg)
void * | _starpu_opencl_worker (void *)
int | _starpu_run_opencl (struct _starpu_worker *)
int | _starpu_opencl_driver_init (struct _starpu_worker *)
int | _starpu_opencl_driver_run_once (struct _starpu_worker *)
int | _starpu_opencl_driver_deinit (struct _starpu_worker *)
int | _starpu_opencl_init_context (int devid)
int | _starpu_opencl_deinit_context (int devid)
cl_device_type | _starpu_opencl_get_device_type (int devid)
uintptr_t | _starpu_opencl_map_ram (uintptr_t src_ptr, size_t src_offset, unsigned src_node, unsigned dst_node, size_t size, int *ret)
int | _starpu_opencl_unmap_ram (uintptr_t src_ptr, size_t src_offset, unsigned src_node, uintptr_t dst_ptr, unsigned dst_node, size_t size)
int | _starpu_opencl_update_opencl_map (uintptr_t src, size_t src_offset, unsigned src_node, uintptr_t dst, size_t dst_offset, unsigned dst_node, size_t size)
int | _starpu_opencl_update_cpu_map (uintptr_t src, size_t src_offset, unsigned src_node, uintptr_t dst, size_t dst_offset, unsigned dst_node, size_t size)
unsigned | _starpu_opencl_test_request_completion (struct _starpu_async_channel *async_channel)
void | _starpu_opencl_wait_request_completion (struct _starpu_async_channel *async_channel)
int | _starpu_opencl_copy_interface_from_opencl_to_opencl (starpu_data_handle_t handle, void *src_interface, unsigned src_node, void *dst_interface, unsigned dst_node, struct _starpu_data_request *req)
int | _starpu_opencl_copy_interface_from_opencl_to_cpu (starpu_data_handle_t handle, void *src_interface, unsigned src_node, void *dst_interface, unsigned dst_node, struct _starpu_data_request *req)
int | _starpu_opencl_copy_interface_from_cpu_to_opencl (starpu_data_handle_t handle, void *src_interface, unsigned src_node, void *dst_interface, unsigned dst_node, struct _starpu_data_request *req)
int | _starpu_opencl_copy_data_from_opencl_to_cpu (uintptr_t src, size_t src_offset, unsigned src_node, uintptr_t dst, size_t dst_offset, unsigned dst_node, size_t size, struct _starpu_async_channel *async_channel)
int | _starpu_opencl_copy_data_from_opencl_to_opencl (uintptr_t src, size_t src_offset, unsigned src_node, uintptr_t dst, size_t dst_offset, unsigned dst_node, size_t size, struct _starpu_async_channel *async_channel)
int | _starpu_opencl_copy_data_from_cpu_to_opencl (uintptr_t src, size_t src_offset, unsigned src_node, uintptr_t dst, size_t dst_offset, unsigned dst_node, size_t size, struct _starpu_async_channel *async_channel)
int | _starpu_opencl_is_direct_access_supported (unsigned node, unsigned handling_node)
uintptr_t | _starpu_opencl_malloc_on_node (unsigned dst_node, size_t size, int flags)
void | _starpu_opencl_free_on_node (unsigned dst_node, uintptr_t addr, size_t size, int flags)

## Variables

struct _starpu_node_ops | _starpu_driver_opencl_node_ops
struct _starpu_driver_ops | _starpu_driver_opencl_ops
char * | _starpu_opencl_program_dir